FROM ubuntu:20.04

ARG INSPEC_VERSION
RUN echo "INSPEC_VERSION=${INSPEC_VERSION}"
ARG CHANNEL
RUN echo "CHANNEL=${CHANNEL}"

# Install basic dependencies
RUN apt update
RUN apt install curl -y
RUN apt install bash -y
RUN apt install sudo -y

# Install Chef Inspec
RUN curl "https://omnitruck.chef.io/install.sh" | sudo bash -s -- -P inspec
RUN inspec -v





